# Power Tools
#### Adds a few quality-of-life features adjustable in Bonemenu

## Death Time Customizer
### Lets you adjust how long it takes to die once you enter the fading animation
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/Death%20time%20customizer.gif?raw=true)
### BoneMenu Overview
* Mod Toggle: This lets you toggle the tool (When disabled it resets to default)
* Death Time: This lets you adjust how long it takes for you to die (Lower is quicker)

## Reload On Death Customizer
### Lets you change if the level will reload when you die
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/Reload%20On%20Death.gif?raw=true)
### BoneMenu Overview
* Mod Toggle: This lets you toggle the tool (When disabled it resets to the default setting for reloading on death)
* Reload Level On Death: This lets you pick if you want the level to reload when you die

## Button Disabler
### Disables all of the buttons that will change the scene when pressed
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/Button%20Disabler.gif?raw=true)
### BoneMenu Overview
* Mod Toggle: This lets you toggle the tool (Disabling will set all buttons back to their default)
* Disable Next Level Button: This lets you decide if you want to skip disabling the buttons at the end of campaign levels or not

## Ragdoll On Death 
### Lets you be put in a ragdoll state when you die
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/Ragdoll%20On%20Death.gif?raw=true)
### BoneMenu Overview
* Mod Toggle: This lets you toggle the tool (Disabled is not ragdolling on death and enabled is ragdolling on death)

## Vaulting Toggle
### Lets you patch out the method that causes vaulting
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/Vaulting%20toggle.gif?raw=true)
### BoneMenu Overview
* Vaulting: When disabled remove the check that vaulting uses (Disables legs sticking to walls and causing problems)

## Gravity Adjuster
### Lets you adjust the gravity
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/Gravity%20adjuster.gif?raw=true)
### BoneMenu Overview
* Mod Toggle: This lets you toggle the tool
* Various incremental gravity increases: lets you increase or decrease gravity by the amount specified in the parentheses

## Infinite Ammo
### Lets you get infinite ammo without destroying ammo counts and allows you to load guns automatically
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/inf%20ammo.gif?raw=true)
### BoneMenu Overview
* Infinite Ammo: Toggles the mod
* Give ammo when mag cant be full: Will give you only the ammo you * need ammo if your ammo amount is under the max mag size
* Auto Chamber: Chambers the gun for you when picked up or shot
* Auto Load Guns: Loads the gun for you when picked up or shot
* Infinite Mags: Make mags unlimited so you don't have to reload at all

## Ragdoll Legs
### Lets you ragdoll only your legs while still being able to walk
![](https://github.com/BreadSoup/BONELAB-PowerTools/blob/main/Main/Gifs/ragdoll%20legs.gif?raw=true)
### BoneMenu Overview
* Mod Toggle: This lets you toggle the tool

## Side Notes
* By default all tools are set to disabled and must be enabled by the player
* I'm still taking suggestions for more tools and would love to hear your ideas (See bottom of README for details on how to contact me)

## Extra
 * Thank you Trev and Swipez for helping me understand harmony patches for vaulting toggle
 * Thank you Swipez for a bunch of methods used in infinite ammo
 * Thank you Mae for creating ragdoll legs and adding it to PowerTools
 * Thank you to the BONELAB server for giving me ideas for some of the tools
 * From the bottom of my heart thank you all for your support on my mods and patience with me I would've never imagined I would be able to do stuff like. Thank you all but especially Yellowyears Adi for having the patience to teach me the basics of MelonLoader and C# Nothing I've done would've been possible without you

## Bugs, suggestions, etc? DM me on Discord or send me a message in my mod progress thread
1. [Join the BONELAB server so that we have a mutual server](https://discord.gg/mjmpUR8)
2. Dm me @breadsoup or [message me in my thread](https://discord.com/channels/563139253542846474/1135701853754097694) 
